
/*
	lkmonitor (Linux Kernel Monitor)

	Application for monitoring and tuning a Linux kernel.

	Copyright (C) 2005-2008  Fernando Apesteguía

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include <glib.h>

char* skip_lines ();		///< Skips lines in a string
void find_data_for ();		///< Parser function
char *trim ();				///< delete blanks at the begining of string
char* rtrim();				///< delete blanks at the end of string
void lkmonitor_exit();		///< performs collector cancellation
void set_tooltiptext();
int read_values_from_file(int parm, char *path,...);///< Read integer values from file
int write_values_to_file(int parm,char *path,...);///< Write integer values to file
int write_string_to_file(char *str, char *path);///< Write string to file
char *parse_batt(char *str,char *contents, char *dest);///<Parser for battery info
gint list_com(gconstpointer a,gconstpointer b); ///< Custom list comparison function
int numsort(const void *stra,const void *strb);	///< Sorting function for scandir
