
/*
	lkmonitor (Linux Kernel Monitor)

	Application for monitoring and tuning a Linux kernel.

	Copyright (C) 2005-2008  Fernando Apesteguía

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

void update_cpu ();		///< Update cpu pane
void update_cpu_mhz();	///< Update mhz variable in cpu pane
void update_mem ();		///< Update mem pane
void update_devs();		///< Update devices pane
void update_settings();	///< Update settings pane
void update_misc();		///< Update misc pane
void update_process(); ///< Update the process panel
void update_cmd_ver(); ///< Update cmdline and version info
void update_channels(); ///< Update communication channels panel
void update_net_info(); ///< Update networking information
void update_fs_info();	///< Update filesystems information
void update_modules_info();	///< Update modules information
